BLAS/SRC/drotmg.f(3)

NAME
BLAS/SRC/drotmg.f

SYNOPSIS

  Functions/Subroutines
subroutine drotmg (dd1, dd2, dx1, dy1, dparam)
DROTMG

Function/Subroutine Documentation

  subroutine drotmg (double precision dd1, double precision dd2, double precision dx1, double precision dy1, double precision, dimension(5) dparam)

DROTMG

Purpose:

        CONSTRUCT THE MODIFIED GIVENS TRANSFORMATION MATRIX H WHICH ZEROS
        THE SECOND COMPONENT OF THE 2-VECTOR  (DSQRT(DD1)*DX1,DSQRT(DD2)*>    DY2)**T.
        WITH DPARAM(1)=DFLAG, H HAS ONE OF THE FOLLOWING FORMS..
        DFLAG=-1.D0     DFLAG=0.D0        DFLAG=1.D0     DFLAG=-2.D0
          (DH11  DH12)    (1.D0  DH12)    (DH11  1.D0)    (1.D0  0.D0)
        H=(          )    (          )    (          )    (          )
          (DH21  DH22),   (DH21  1.D0),   (-1.D0 DH22),   (0.D0  1.D0).
        LOCATIONS 2-4 OF DPARAM CONTAIN DH11, DH21, DH12, AND DH22
        RESPECTIVELY. (VALUES OF 1.D0, -1.D0, OR 0.D0 IMPLIED BY THE
        VALUE OF DPARAM(1) ARE NOT STORED IN DPARAM.)
        THE VALUES OF GAMSQ AND RGAMSQ SET IN THE DATA STATEMENT MAY BE
        INEXACT.  THIS IS OK AS THEY ARE ONLY USED FOR TESTING THE SIZE
        OF DD1 AND DD2.  ALL ACTUAL SCALING OF DATA IS DONE USING GAM.

Parameters
    DD1

              DD1 is DOUBLE PRECISION

    DD2

              DD2 is DOUBLE PRECISION

    DX1

              DX1 is DOUBLE PRECISION

    DY1

              DY1 is DOUBLE PRECISION

    DPARAM

              DPARAM is DOUBLE PRECISION array, dimension (5)
         DPARAM(1)=DFLAG
         DPARAM(2)=DH11
         DPARAM(3)=DH21
         DPARAM(4)=DH12
         DPARAM(5)=DH22

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file drotmg.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.